# Ruby-Programmierung

Hier finden Sie Übungsaufgaben für den Kurs Ruby-Programmierung.

Die **Abgabedaten** haben keine Bedeutung, da der Kurs keine Prüfung beinhaltet.

## Themenüberblick

| #  | Thema                                                                 | Fällig am 📆   |
|----|-----------------------------------------------------------------------|----------------|
| 1. | [Bedingte Zuweisung](Assignment_001/readme.md)                        | **----**       |
| 2. | [Case](Assignment_002/readme.md)                                      | **----**       |
| 3. | [String-Formatierung](Assignment_003/readme.md)                       | **----**       |
| 4. | [Parallele Zuweisung](Assignment_004/readme.md)                       | **----**       |
| 5. | [Ranges](Assignment_005/readme.md)                                    | **----**       |
| 6. | [Aufgabenblock 1: Ruby Grundlagen](Assignment_006/readme.md)          | **----**       |
| 7. | [Splat](Assignment_007/readme.md)                                     | **----**       |
| 8. | [Symbole](Assignment_008/readme.md)                                   | **----**       |
| 9. | [Zugriffsmethoden](Assignment_009/readme.md)                          | **----**       |
| 10. | [Klasse deklarieren](Assignment_010/readme.md)                        | **----**       |
| 11. | [Default Parameter](Assignment_011/readme.md)                         | **----**       |
| 12. | [Vererbung](Assignment_012/readme.md)                                 | **----**       |
| 13. | [Keyword-Parameter](Assignment_013/readme.md)                         | **----**       |
| 14. | [Mixin benutzen](Assignment_014/readme.md)                            | **----**       |
| 15. | [Modul schreiben](Assignment_015/readme.md)                           | **----**       |
| 16. | [Monkey Patch](Assignment_016/readme.md)                              | **----**       |
| 17. | [Geschachtelte Methoden](Assignment_017/readme.md)                    | **----**       |
| 18. | [Aufgabenblock 2: Ruby Klassen](Assignment_018/readme.md)             | **----**       |
| 19. | [Vararg-Methoden](Assignment_019/readme.md)                           | **----**       |
| 20. | [Arrays](Assignment_020/readme.md)                                    | **----**       |
| 21. | [Callback mit Block](Assignment_021/readme.md)                        | **----**       |
| 22. | [Callback mit Proc](Assignment_022/readme.md)                         | **----**       |
| 23. | [Closure](Assignment_023/readme.md)                                   | **----**       |
| 24. | [Hashes und Blöcke](Assignment_024/readme.md)                         | **----**       |
| 25. | [Hashes](Assignment_025/readme.md)                                    | **----**       |
| 26. | [Map](Assignment_026/readme.md)                                       | **----**       |
| 27. | [Aufgabenblock 3: Ruby Container](Assignment_027/readme.md)           | **----**       |
| 28. | [Map und Reduce](Assignment_028/readme.md)                            | **----**       |
| 29. | [Ausnahmen](Assignment_029/readme.md)                                 | **----**       |
| 30. | [Klasse Dir und IO](Assignment_030/readme.md)                         | **----**       |
| 31. | [Iteratoren auf Zahlen](Assignment_031/readme.md)                     | **----**       |
| 32. | [Quine](Assignment_032/readme.md)                                     | **----**       |
| 33. | [Aufgabenblock 4: Ruby Typen](Assignment_033/readme.md)               | **----**       |
| 34. | [Reguläre Ausdrücke: Match](Assignment_034/readme.md)                 | **----**       |
| 35. | [Reguläre Ausdrücke: Matching](Assignment_035/readme.md)              | **----**       |
| 36. | [Klassen per Reflection analysieren](Assignment_036/readme.md)        | **----**       |
| 37. | [Methoden einer Klasse dynamisch erzeugen](Assignment_037/readme.md)  | **----**       |
| 38. | [Klasse dynamisch erzeugen](Assignment_038/readme.md)                 | **----**       |
| 39. | [Methoden dynamisch aufrufen](Assignment_039/readme.md)               | **----**       |
| 40. | [Eigenclass einer Klasse](Assignment_040/readme.md)                   | **----**       |
| 41. | [Eigenclass eines Objektes](Assignment_041/readme.md)                 | **----**       |
| 42. | [Macro](Assignment_042/readme.md)                                     | **----**       |
| 43. | [Metaprogrammierung: Die kleine Petze](Assignment_043/readme.md)      | **----**       |
| 44. | [Aufgabenblock 5: Fortgeschrittene Themen](Assignment_044/readme.md)  | **----**       |
| 45. | [Singleton Methoden](Assignment_045/readme.md)                        | **----**       |
| 46. | [Struct](Assignment_046/readme.md)                                    | **----**       |
